Bug 476850 - NUT tripplite_usb driver segfaults in libc when UPS on battery
NUT tripplite_usb driver segfaults in libc when UPS on battery
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: nut (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-17 09:45 EST by Bradley Feldman
Modified: 2009-01-07 04:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 04:37:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Nut 2.2.2 Tripplite Reconnect Patch (1.21 KB, patch)
2008-12-17 09:45 EST, Bradley Feldman
no flags Details | Diff

  None (edit)
Description Bradley Feldman 2008-12-17 09:45:22 EST
Created attachment 327251 [details]
Nut 2.2.2 Tripplite Reconnect Patch

Description of problem:

NUT tripplite_usb driver segfaults in libc when UPS switches to battery.  This causes upsmon to lose connection to UPS driver, think the UPS' battery is immediately dead and begin immediate system shutdown.

Syslog trace below:

Dec 16 05:25:05 jobs upsmon[2899]: UPS tripplite@jobs on battery
Dec 16 05:25:05 jobs wall[27596]: wall: user nut broadcasted 1 lines (31 chars)
Dec 16 05:25:07 jobs tripplite_usb[2892]: Error reading B value: Device detached
? (error 0: error sending control message: Operation not permitted)
Dec 16 05:25:07 jobs upsd[2895]: Data for UPS [tripplite] is stale - check driver
Dec 16 05:25:07 jobs tripplite_usb[2892]: Reconnect attempt #1
Dec 16 05:25:07 jobs kernel: tripplite_usb[2892]: segfault at d ip 00180892 sp bfb9ba30 error 4 in libc-2.8.so[111000+163000]
Dec 16 05:25:07 jobs upsd[2895]: UPS [tripplite] disconnected - check driver
Dec 16 05:25:07 jobs upsd[2895]: Can't connect to UPS [tripplite] (tripplite_usb-tripplite): Connection refused
Dec 16 05:25:10 jobs upsmon[2899]: Poll UPS [tripplite@jobs] failed - Driver not connected
Dec 16 05:25:10 jobs upsmon[2899]: Communications with UPS tripplite@jobs lost
Dec 16 05:25:10 jobs wall[27599]: wall: user nut broadcasted 1 lines (45 chars)
Dec 16 05:25:15 jobs upsmon[2899]: Poll UPS [tripplite@jobs] failed - Driver not connected
Dec 16 05:25:20 jobs upsmon[2899]: Poll UPS [tripplite@jobs] failed - Driver not connected
Dec 16 05:25:25 jobs upsmon[2899]: Poll UPS [tripplite@jobs] failed - Driver not connected
Dec 16 05:25:25 jobs upsd[2895]: Client monusermaster@127.0.0.1 set FSD on UPS [tripplite]
Dec 16 05:25:25 jobs upsmon[2899]: Executing automatic power-fail shutdown
Dec 16 05:25:25 jobs wall[27616]: wall: user nut broadcasted 2 lines (43 chars)
Dec 16 05:25:25 jobs upsmon[2899]: Auto logout and shutdown proceeding
Dec 16 05:25:25 jobs wall[27619]: wall: user nut broadcasted 1 lines (37 chars)

Version-Release number of selected component (if applicable):
2.2.2


How reproducible:

Easily

Steps to Reproduce:
1.  Unplug UPS to put in battery state.
2.
3.
  
Actual results:

Driver segfaults, produces syslog entries as shown above

Expected results:

No segfault.  Upsmon continues to communicate with UPS via tripplite_usb driver.

Additional info:

Patch by Charles Lepple (maintainer of NUT tripplite_usb driver) attached.
Comment 1 Michal Hlavinka 2008-12-18 09:09:06 EST
thanks for reporting
Comment 2 Fedora Update System 2008-12-18 09:12:36 EST
nut-2.2.2-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/nut-2.2.2-2.fc9
Comment 3 Fedora Update System 2008-12-18 09:13:47 EST
nut-2.2.2-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/nut-2.2.2-4.fc10
Comment 4 Fedora Update System 2008-12-21 03:30:51 EST
nut-2.2.2-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nut'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11607
Comment 5 Fedora Update System 2008-12-21 03:38:48 EST
nut-2.2.2-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update nut'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11552
Comment 6 Fedora Update System 2009-01-07 04:31:20 EST
nut-2.2.2-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-01-07 04:37:02 EST
nut-2.2.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.